Name:          denemo
Version:       2.0.4
Release:       1mamba
Summary:       A music notation program that helps you quickly prepare notation for publishing with Lilypond
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.denemo.org
Source:        http://ftp.gnu.org/gnu/denemo/denemo-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: evince-devel
BuildRequires: fluidsynth-devel
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libaubio-devel
BuildRequires: libcairo-devel
BuildRequires: libfftw-devel
BuildRequires: libfontconfig-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgmp-devel
BuildRequires: libgtk-devel
BuildRequires: libgtksourceview-devel
BuildRequires: libguile-devel
BuildRequires: libltdl-devel
BuildRequires: libpango-devel
BuildRequires: libportaudio-devel
BuildRequires: libportmidi-devel
BuildRequires: librsvg-devel
BuildRequires: libsndfile-devel
BuildRequires: libxml2-devel
BuildRequires: lilypond
## AUTOBUILDREQ-END
BuildRequires: librubberband-devel
Requires:      lilypond
Provides:      denemo-devel
Obsoletes:     denemo-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Denemo is a music notation program for Linux that helps you quickly prepare notation for publishing with Lilypond. Denemo does NOT strive to display all notation graphically or be the most complete graphic enviroment. Denemo is a front end to Lilypond. If you are looking for a WYSIWYG editor Denemo may not be for you. If you are looking for a way to quickly prepare scores for final editing in LilyPond give Denemo a whirl.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
#%config %{_sysconfdir}/denemo/denemo.conf
%{_bindir}/cairo_svg2path
#%{_bindir}/extract_scheme
%{_bindir}/denemo
%{_bindir}/denemo_file_update
%{_bindir}/generate_source
#%{_bindir}/smfsh
%{_datadir}/appdata/denemo.appdata.xml
%{_datadir}/applications/denemo.desktop
%dir %{_datadir}/denemo
%dir %{_datadir}/denemo/actions
%{_datadir}/denemo/actions/*
%{_datadir}/denemo/instruments.xml
%dir %{_datadir}/denemo/examples
%{_datadir}/denemo/examples/*
%dir %{_datadir}/denemo/manual
%{_datadir}/denemo/manual/*
%dir %{_datadir}/denemo/soundfonts
%{_datadir}/denemo/soundfonts/*
%dir %{_datadir}/denemo/templates
%{_datadir}/denemo/templates/*
%dir %{_datadir}/denemo/ui
%{_datadir}/denemo/ui/denemoui.xml
%{_datadir}/denemo/pixmaps/*
%dir %{_datadir}/fonts/truetype/denemo
%{_datadir}/fonts/truetype/denemo/Denemo.ttf
%{_datadir}/fonts/truetype/denemo/emmentaler.ttf
%{_datadir}/fonts/truetype/denemo/feta.ttf
#%{_datadir}/fonts/truetype/denemo/LICENSE_OFL.txt
%{_datadir}/pixmaps/denemo.png
#%{_includedir}/smf.h
%doc AUTHORS COPYING
# ChangeLog NEWS README

%changelog
* Fri Mar 11 2016 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Mon Nov 02 2015 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Jul 22 2015 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sat Mar 14 2015 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Dec 06 2014 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic version update by autodist

* Thu Jul 03 2014 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Mon Jun 16 2014 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Tue Mar 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- update to 1.1.2

* Mon Dec 09 2013 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic update by autodist

* Thu Jul 11 2013 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Mon May 27 2013 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Tue Apr 09 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-2mamba
- rebuilt with evince 3.6

* Fri Sep 21 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- update to 0.9.6

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 0.8.14-2mamba
- automatic rebuild by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 0.8.14-1mamba
- automatic update by autodist

* Sat Feb 20 2010 Automatic Build System <autodist@mambasoft.it> 0.8.12-1mamba
- automatic update by autodist

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 0.8.8-1mamba
- automatic update by autodist

* Mon Jul 13 2009 Automatic Build System <autodist@mambasoft.it> 0.8.6-1mamba
- automatic update by autodist

* Thu Jun 18 2009 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 0.8.2-2mamba
- automatic rebuild by autodist

* Tue Feb 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- update to 0.8.2

* Mon Oct 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.6-1mamba
- package created by autospec
